Skip to main content
POST
/
isBlockhashValid
curl --request POST \
  --url 'https://mainnet.helius-rpc.com/?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": "45",
  "method": "isBlockhashValid",
  "params": [
    "J7rBdM6AecPDEZp8aPq5iPSNKVkU5Q76F3oAV4eW5wsW",
    {
      "commitment": "processed"
    }
  ]
}
'
import requests

url = "https://mainnet.helius-rpc.com/?api-key="

payload = {
"jsonrpc": "2.0",
"id": "45",
"method": "isBlockhashValid",
"params": ["J7rBdM6AecPDEZp8aPq5iPSNKVkU5Q76F3oAV4eW5wsW", { "commitment": "processed" }]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: '45',
method: 'isBlockhashValid',
params: ['J7rBdM6AecPDEZp8aPq5iPSNKVkU5Q76F3oAV4eW5wsW', {commitment: 'processed'}]
})
};

fetch('https://mainnet.helius-rpc.com/?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": "45",
  "result": {
    "context": {
      "slot": 2483
    },
    "value": false
  }
}
{
"jsonrpc": "2.0",
"error": {
"code": -32602,
"message": "Invalid params"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32001,
"message": "Unauthorized"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32005,
"message": "Too many requests"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32603,
"message": "Internal error"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32002,
"message": "Service unavailable"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32003,
"message": "Gateway timeout"
},
"id": "1"
}

Request Parameters

blockhash
string
required
Blockhash to check validity status for, as a base-58 encoded string.
commitment
string
The commitment level for the request.
  • confirmed
  • finalized
  • processed
minContextSlot
number
The minimum slot that the request can be evaluated at.

Authorizations

api-key
string
query
required

Your Helius API key. You can get one for free in the dashboard.

Body

application/json
jsonrpc
enum<string>
default:2.0

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string
default:1

A unique identifier for the request.

Example:

"45"

method
enum<string>
default:isBlockhashValid

The name of the RPC method to invoke.

Available options:
isBlockhashValid
Example:

"isBlockhashValid"

params
(string | object)[]

Parameters for evaluating blockhash validity.

Blockhash to check validity status for, as a base-58 encoded string.

Example:

"J7rBdM6AecPDEZp8aPq5iPSNKVkU5Q76F3oAV4eW5wsW"

Response

Successfully evaluated blockhash validity.

jsonrpc
enum<string>

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string

Identifier matching the request.

Example:

"45"

result
object

Blockhash validity result.